### Method

# GUPnP ServiceProxy call_action_async

since: 1.2.0

#### Declaration [src]

    void
    gupnp_service_proxy_call_action_async (
      GUPnPServiceProxy* proxy,
      GUPnPServiceProxyAction* action,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Start a call on the remote UPnP service using the pre-configured `action`. Use `gupnp_service_proxy_call_action_finish()` in the `callback` to finalize the call and gupnp_service_proxy_action_get_result(), `gupnp_service_proxy_action_get_result_hash()` or `gupnp_service_proxy_action_get_result_list()` to extract the result of the remote call.

Available since: 1.2.0

This method completes asynchronously. Use `gupnp_service_proxy_call_action_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`action`

  Type: `GUPnPServiceProxyAction`

  A `GUPnPServiceProxyAction` to call.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` which can be used to cancel the current action call.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the action is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.